Oplink Mini- Can not connect
« on: July 21, 2019, 02:31:18 am »
I was wondering if anyone can help.  I have a oplink mini that I am trying to use to connect to a revolution board but I am not able to get the oplink mini to communicate with the librepilot gcs.  When I plug the oplink mini into my laptop USB, the GCS recognizes it as a oplink mini board but the oplink configuration screen is greyed out. 

I think the problem is because the oplink is running on a different firmware version than the GCS.  The oplink looks like it is running on a 2013 version of next branch and the GCS is 16.09 (on the firmware update screen, the oplink mini keeps reverting back to a 2013 firmware version).  The problem is that no matter how I try to upgrade the oplink, either automatic or manual or using a rescue, I am not able to update the oplink or erase the current software.  I followed all of the instructions including unplugging the oplink before pressing rescue and still have not had any luck.

I attached some screenshots from the firmware screen, system screen, and configuration screen.  Any help would be greatly appreciated.

Thank-you.   

Re: Oplink Mini- Can not connect
« Reply #1 on: July 21, 2019, 06:08:47 am »
LED slow fading on and off is just the board telling you that it is in bootloader mode.  But if that is all it ever does then there is only a bootloader and it does not have the normal firmware.  This is not your problem.

The GCS you used when making the PDF is a recent version of next.  16.09+r782.  That might sound like 16.09, but it is 782 versions past that.  :)

There was one time there in the PDF when the OpLink had "Git Commit Hash: 8c101adc" which sounds like like it is supposed to match the GCS version you were using: 16.09+r782-g8c101ad.  If you tried it with that firmware and that GCS, I would guess it would work.  There is a slight mismatch in these numbers, but I recall that number display slight mismatch is a known issue.  If you get the OpLink back to that version, then the OpLink configuration page should work with your 16.09+r782-g8c101ad GCS.

It looks like it had this recent firmware on it, then you flashed it to an old 2013 version.

You show the OpLink configuration page and you probably already know it, but that is the only page that works when you are configuring the OpLink.

You need to run the same version everywhere.  Is 16.09+r782-g8c101ad the version you want to use everywhere?

If you did not build the GCS and firmware, then the Firmware page Upgrade and Erase should work using the manual method as I recall.
https://librepilot.atlassian.net/wiki/spaces/LPDOC/pages/5669026/Firmware+Tab#FirmwareTab-Manualmethod

Did you build this GCS and firmware yourself?  You can just build and flash the matching OpLink firmware using the Rescue method.
https://librepilot.atlassian.net/wiki/spaces/LPDOC/pages/5669250/Firmware+Rescue

If you have the oplink OPFW file, then this should flash it:
- unplug the OpLink from USB
- Firmware page press Rescue
- plug in the OpLink to USB
- press the Open button and select the oplink OPFW file that is the version you want
- press the Flash button and wait for it to erase and flash it
- for good measure, press the Erase Settings button and follow the instructions to erase any old settings
« Last Edit: July 21, 2019, 06:32:51 am by TheOtherCliff »

f5soh

  • *****
  • 4545
    • LibrePilot
Re: Oplink Mini- Can not connect
« Reply #2 on: July 21, 2019, 09:00:09 am »
Quote
It looks like it had this recent firmware on it, then you flashed it to an old 2013 version.
Quote
The oplink looks like it is running on a 2013 version of next branch
The 2013-05-13 date comes from bootloader version (bu_oplinkmini.opfw), when alone (without firmware) that's the only information available.
There is no need to update the bootloader every time, just do a firmware update using the manual method (firmware file is packed into the GCS) for firmware match.

Oplink cannot run without firmware.

Re: Oplink Mini- Can not connect
« Reply #3 on: July 21, 2019, 04:37:06 pm »
Thank-you for the suggestions.  I did not build the board but have been updating the firmware over the past couple of years when new versions came out.  The version that has seemed to work best with my revolution board is the 16.09 official release although I have tried to run the next version but ran into some compatibility issues (most likely user error, I've flown a lot with quadcopters but do not have any software/coding experience so this has been a learning process).

I will decide on a specific firmware and the try to manually reset the oplink mini per the instructions linked.

Thank-you for the help.

Re: Oplink Mini- Can not connect
« Reply #4 on: July 21, 2019, 04:40:08 pm »
Quote
It looks like it had this recent firmware on it, then you flashed it to an old 2013 version.
Quote
The oplink looks like it is running on a 2013 version of next branch
The 2013-05-13 date comes from bootloader version (bu_oplinkmini.opfw), when alone (without firmware) that's the only information available.
There is no need to update the bootloader every time, just do a firmware update using the manual method (firmware file is packed into the GCS) for firmware match.

Oplink cannot run without firmware.

Thank you, you are correct, the 2013 file is where I downloaded the bootloader file.  My GCS showed the oplink mini as having the latest version of bootloader but since it was not connecting I re-downloaded the bootloader to see if that was the issue.

I will try the manual update and report back.

I appreciate the help.

Re: Oplink Mini- Can not connect
« Reply #5 on: July 21, 2019, 07:08:48 pm »
So I downloaded and installed LibrePilot GCS 16.09.

I then went to the firmware page in the gcs and selected "upgrade and erase" and then plugged the oplink mini into the usb port on my computer.

After that, the firmware screen gave the message "upgrading and erasing the board, please wait" and the completion bar went to 100%.  The board then timed out and the message said I would need to manually upgrade the board.

I couldn't get that to work so I also tried a system rescue.  The board appears to have 16.09 firmware on it according to the firmware screen, but I am still not able to access the board through the GCS configuration page.

I've attached some screenshots and also a picture of the revolution board and oplink mini I am using. 

f5soh

  • *****
  • 4545
    • LibrePilot
Re: Oplink Mini- Can not connect
« Reply #6 on: July 21, 2019, 09:06:19 pm »
Your Oplink seems correctly updated and your issue looks similar to this

Re: Oplink Mini- Can not connect
« Reply #7 on: July 22, 2019, 02:06:28 am »
That solved it! Thank-you very much.  Oplink mini is now recognized on the configuration screen and seems to be working.

I really appreciate the help from both of you.